--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: add
- !ruby/object:RI::AliasName 
  name: add_event
- !ruby/object:RI::AliasName 
  name: add_todo
- !ruby/object:RI::AliasName 
  name: add_journal
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Add a sub-component to the current component object.
full_name: Icalendar::Component#add_component
is_singleton: false
name: add_component
params: (component)
visibility: public
